Index: testsuites/psxtests/psxhdrs/dirent/alphasort.c
===================================================================
--- testsuites/psxtests/psxhdrs/dirent/alphasort.c	(revision 7fe5922a5f5ae4bfd88dbca609d4fe6730360056)
+++ testsuites/psxtests/psxhdrs/dirent/alphasort.c	(revision e15ae5a3a17b056bc8180be44af572d828acef8c)
@@ -4,36 +4,36 @@
  */
 
- /*
-  *  COPYRIGHT (c) 2018.
-  *  Himanshu Sekhar Nayak
-  *
-  *  Permission to use, copy, modify, and/or distribute this software
-  *  for any purpose with or without fee is hereby granted.
-  *
-  *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
-  *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
-  *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
-  *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
-  *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
-  *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
-  *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
-  */
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
 
-  #ifdef HAVE_CONFIG_H
-  #include "config.h"
-  #endif
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
 
-  #include <dirent.h>
+ #include <dirent.h>
 
-  int test( void );
+ int test( void );
 
-  int test( void )
-  {
-    const struct dirent **d1 = NULL;
-    const struct dirent **d2 = NULL;
-    int result;
+ int test( void )
+ {
+   const struct dirent **d1 = NULL;
+   const struct dirent **d2 = NULL;
+   int result;
 
-    result = alphasort( d1, d2 );
+   result = alphasort( d1, d2 );
 
-    return result;
-  }
+   return result;
+ }
Index: testsuites/psxtests/psxhdrs/dirent/closedir.c
===================================================================
--- testsuites/psxtests/psxhdrs/dirent/closedir.c	(revision 7fe5922a5f5ae4bfd88dbca609d4fe6730360056)
+++ testsuites/psxtests/psxhdrs/dirent/closedir.c	(revision e15ae5a3a17b056bc8180be44af572d828acef8c)
@@ -4,36 +4,36 @@
  */
 
- /*
-  *  COPYRIGHT (c) 2018.
-  *  Himanshu Sekhar Nayak
-  *
-  *  Permission to use, copy, modify, and/or distribute this software
-  *  for any purpose with or without fee is hereby granted.
-  *
-  *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
-  *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
-  *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
-  *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
-  *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
-  *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
-  *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
-  */
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
 
-  #ifdef HAVE_CONFIG_H
-  #include "config.h"
-  #endif
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
 
-  #include <dirent.h>
+ #include <dirent.h>
 
-  int test( void );
+ int test( void );
 
-  int test( void )
-  {
-    DIR *dir;
-    int result;
+ int test( void )
+ {
+   DIR *dir;
+   int result;
 
-    dir = opendir( "/" );
-    result = closedir( dir );
+   dir = opendir( "/" );
+   result = closedir( dir );
 
-    return result;
-  }
+   return result;
+ }
Index: testsuites/psxtests/psxhdrs/dirent/dirfd.c
===================================================================
--- testsuites/psxtests/psxhdrs/dirent/dirfd.c	(revision 7fe5922a5f5ae4bfd88dbca609d4fe6730360056)
+++ testsuites/psxtests/psxhdrs/dirent/dirfd.c	(revision e15ae5a3a17b056bc8180be44af572d828acef8c)
@@ -4,36 +4,36 @@
  */
 
- /*
-  *  COPYRIGHT (c) 2018.
-  *  Himanshu Sekhar Nayak
-  *
-  *  Permission to use, copy, modify, and/or distribute this software
-  *  for any purpose with or without fee is hereby granted.
-  *
-  *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
-  *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
-  *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
-  *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
-  *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
-  *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
-  *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
-  */
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
 
-  #ifdef HAVE_CONFIG_H
-  #include "config.h"
-  #endif
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
 
-  #include <dirent.h>
+ #include <dirent.h>
 
-  int test( void );
+ int test( void );
 
-  int test( void )
-  {
-    DIR *dirp;
-    int result;
+ int test( void )
+ {
+   DIR *dirp;
+   int result;
 
-    dirp = opendir( "/" );
-    result = dirfd( dirp );
+   dirp = opendir( "/" );
+   result = dirfd( dirp );
 
-    return result;
-  }
+   return result;
+ }
Index: testsuites/psxtests/psxhdrs/dirent/fdopendir.c
===================================================================
--- testsuites/psxtests/psxhdrs/dirent/fdopendir.c	(revision 7fe5922a5f5ae4bfd88dbca609d4fe6730360056)
+++ testsuites/psxtests/psxhdrs/dirent/fdopendir.c	(revision e15ae5a3a17b056bc8180be44af572d828acef8c)
@@ -4,46 +4,39 @@
  */
 
- /*
-  *  COPYRIGHT (c) 2018.
-  *  Himanshu Sekhar Nayak
-  *
-  *  Permission to use, copy, modify, and/or distribute this software
-  *  for any purpose with or without fee is hereby granted.
-  *
-  *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
-  *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
-  *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
-  *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
-  *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
-  *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
-  *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
-  */
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
 
-  #ifdef HAVE_CONFIG_H
-  #include "config.h"
-  #endif
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
 
-  #include <dirent.h>
-  #include <fcntl.h>
-  #include <sys/stat.h>
-  #include <sys/types.h>
+ #include <dirent.h>
+ #include <fcntl.h>
+ #include <sys/stat.h>
+ #include <sys/types.h>
 
-  int test( void );
+ int test( void );
 
-  int pass = 1;
+ int test( void )
+ {
+   int fd;
+   DIR *result;
 
-  int test( void )
-  {
-    int fd;
-    DIR *result;
+   fd = open( "./", O_RDONLY );
+   result = fdopendir( fd );
 
-    if( pass == 1 )
-    {
-      fd = open( "./", O_RDONLY );
-      result = fdopendir( fd );
-      (void) result;
-      pass = 0;
-    }
-
-    return pass;
+   return ( result != NULL );
   }
Index: testsuites/psxtests/psxhdrs/dirent/opendir.c
===================================================================
--- testsuites/psxtests/psxhdrs/dirent/opendir.c	(revision 7fe5922a5f5ae4bfd88dbca609d4fe6730360056)
+++ testsuites/psxtests/psxhdrs/dirent/opendir.c	(revision e15ae5a3a17b056bc8180be44af572d828acef8c)
@@ -4,41 +4,34 @@
  */
 
- /*
-  *  COPYRIGHT (c) 2018.
-  *  Himanshu Sekhar Nayak
-  *
-  *  Permission to use, copy, modify, and/or distribute this software
-  *  for any purpose with or without fee is hereby granted.
-  *
-  *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
-  *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
-  *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
-  *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
-  *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
-  *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
-  *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
-  */
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
 
-  #ifdef HAVE_CONFIG_H
-  #include "config.h"
-  #endif
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
 
-  #include <dirent.h>
+ #include <dirent.h>
 
-  int test( void );
+ int test( void );
 
-  int result = 1;
+ int test( void )
+ {
+   DIR *dir;
 
-  int test( void )
-  {
-    DIR *dir;
+   dir = opendir( "/" );
 
-    if( result == 1 )
-    {
-      dir = opendir( "/" );
-      (void) dir;
-      result = 0;
-    }
-
-    return result;
-  }
+   return ( dir != NULL );
+ }
Index: testsuites/psxtests/psxhdrs/dirent/readdir.c
===================================================================
--- testsuites/psxtests/psxhdrs/dirent/readdir.c	(revision 7fe5922a5f5ae4bfd88dbca609d4fe6730360056)
+++ testsuites/psxtests/psxhdrs/dirent/readdir.c	(revision e15ae5a3a17b056bc8180be44af572d828acef8c)
@@ -4,42 +4,36 @@
  */
 
- /*
-  *  COPYRIGHT (c) 2018.
-  *  Himanshu Sekhar Nayak
-  *
-  *  Permission to use, copy, modify, and/or distribute this software
-  *  for any purpose with or without fee is hereby granted.
-  *
-  *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
-  *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
-  *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
-  *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
-  *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
-  *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
-  *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
-  */
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
 
-  #ifdef HAVE_CONFIG_H
-  #include "config.h"
-  #endif
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
 
-  #include <dirent.h>
+ #include <dirent.h>
 
-  int test( void );
-  int pass = 1;
+ int test( void );
 
-  int test( void )
-  {
-    DIR *dirp;
-    struct dirent *result;
+ int test( void )
+ {
+   DIR *dirp;
+   struct dirent *result;
 
-    if( pass == 1 )
-    {
-      dirp = opendir( "/" );
-      result = readdir( dirp );
-      (void) result;
-      pass = 0;
-    }
+   dirp = opendir( "/" );
+   result = readdir( dirp );
 
-    return pass;
-  }
+   return ( result != NULL );
+ }
Index: testsuites/psxtests/psxhdrs/dirent/readdir_r.c
===================================================================
--- testsuites/psxtests/psxhdrs/dirent/readdir_r.c	(revision 7fe5922a5f5ae4bfd88dbca609d4fe6730360056)
+++ testsuites/psxtests/psxhdrs/dirent/readdir_r.c	(revision e15ae5a3a17b056bc8180be44af572d828acef8c)
@@ -4,39 +4,39 @@
  */
 
- /*
-  *  COPYRIGHT (c) 2018.
-  *  Himanshu Sekhar Nayak
-  *
-  *  Permission to use, copy, modify, and/or distribute this software
-  *  for any purpose with or without fee is hereby granted.
-  *
-  *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
-  *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
-  *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
-  *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
-  *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
-  *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
-  *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
-  */
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
 
-  #ifdef HAVE_CONFIG_H
-  #include "config.h"
-  #endif
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
 
-  #include <dirent.h>
+ #include <dirent.h>
 
-  int test( void );
+ int test( void );
 
-  int test( void )
-  {
-    DIR *dirp;
-    struct dirent *entry = NULL;
-    struct dirent *result = NULL;
-    int pass;
+ int test( void )
+ {
+   DIR *dirp;
+   struct dirent *entry = NULL;
+   struct dirent *result = NULL;
+   int pass;
 
-    dirp = opendir( "/" );
-    entry = readdir(dirp);
-    pass = readdir_r( dirp,  entry, &result);
+   dirp = opendir( "/" );
+   entry = readdir(dirp);
+   pass = readdir_r( dirp,  entry, &result);
 
-    return pass;
-  }
+   return pass;
+ }
Index: testsuites/psxtests/psxhdrs/dirent/rewinddir.c
===================================================================
--- testsuites/psxtests/psxhdrs/dirent/rewinddir.c	(revision 7fe5922a5f5ae4bfd88dbca609d4fe6730360056)
+++ testsuites/psxtests/psxhdrs/dirent/rewinddir.c	(revision e15ae5a3a17b056bc8180be44af572d828acef8c)
@@ -4,40 +4,35 @@
  */
 
- /*
-  *  COPYRIGHT (c) 2018.
-  *  Himanshu Sekhar Nayak
-  *
-  *  Permission to use, copy, modify, and/or distribute this software
-  *  for any purpose with or without fee is hereby granted.
-  *
-  *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
-  *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
-  *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
-  *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
-  *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
-  *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
-  *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
-  */
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
 
-  #ifdef HAVE_CONFIG_H
-  #include "config.h"
-  #endif
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
 
-  #include <dirent.h>
+ #include <dirent.h>
 
-  int test( void );
-  int result = 1;
+ int test( void );
 
-  int test( void )
-  {
-    DIR *dirp;
+ int test( void )
+ {
+   DIR *dirp;
 
-    if( result == 1 )
-    {
-    dirp = opendir( "/" );
-    rewinddir( dirp );
-    result = 0;
-    }
+   dirp = opendir( "/" );
+   rewinddir( dirp );
 
-    return result;
-  }
+   return ( dirp != NULL );
+ }
Index: testsuites/psxtests/psxhdrs/dirent/scandir.c
===================================================================
--- testsuites/psxtests/psxhdrs/dirent/scandir.c	(revision 7fe5922a5f5ae4bfd88dbca609d4fe6730360056)
+++ testsuites/psxtests/psxhdrs/dirent/scandir.c	(revision e15ae5a3a17b056bc8180be44af572d828acef8c)
@@ -4,35 +4,35 @@
  */
 
- /*
-  *  COPYRIGHT (c) 2018.
-  *  Himanshu Sekhar Nayak
-  *
-  *  Permission to use, copy, modify, and/or distribute this software
-  *  for any purpose with or without fee is hereby granted.
-  *
-  *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
-  *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
-  *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
-  *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
-  *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
-  *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
-  *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
-  */
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
 
-  #ifdef HAVE_CONFIG_H
-  #include "config.h"
-  #endif
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
 
-  #include <dirent.h>
+ #include <dirent.h>
 
-  int test( void );
+ int test( void );
 
-  int test( void )
-  {
-    struct dirent **namelist;
-    int result;
+ int test( void )
+ {
+   struct dirent **namelist;
+   int result;
 
-    result = scandir( ".", &namelist, NULL, alphasort );
+   result = scandir( ".", &namelist, NULL, alphasort );
 
-    return result;
-  }
+   return result;
+ }
Index: testsuites/psxtests/psxhdrs/dirent/seekdir.c
===================================================================
--- testsuites/psxtests/psxhdrs/dirent/seekdir.c	(revision 7fe5922a5f5ae4bfd88dbca609d4fe6730360056)
+++ testsuites/psxtests/psxhdrs/dirent/seekdir.c	(revision e15ae5a3a17b056bc8180be44af572d828acef8c)
@@ -4,42 +4,37 @@
  */
 
- /*
-  *  COPYRIGHT (c) 2018.
-  *  Himanshu Sekhar Nayak
-  *
-  *  Permission to use, copy, modify, and/or distribute this software
-  *  for any purpose with or without fee is hereby granted.
-  *
-  *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
-  *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
-  *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
-  *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
-  *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
-  *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
-  *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
-  */
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
 
-  #ifdef HAVE_CONFIG_H
-  #include "config.h"
-  #endif
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
 
-  #include <dirent.h>
+ #include <dirent.h>
 
-  int test( void );
-  int result = 1;
+ int test( void );
 
-  int test( void )
-  {
-    DIR *dirp;
-    long loc;
+ int test( void )
+ {
+   DIR *dirp;
+   long loc;
 
-    if( result == 1 )
-    {
-      dirp = opendir( "/" );
-      loc = telldir( dirp );
-      seekdir( dirp, loc );
-      result = 0;
-    }
+   dirp = opendir( "/" );
+   loc = telldir( dirp );
+   seekdir( dirp, loc );
 
-    return result;
-  }
+   return ( (int)loc );
+ }
Index: testsuites/psxtests/psxhdrs/dirent/telldir.c
===================================================================
--- testsuites/psxtests/psxhdrs/dirent/telldir.c	(revision 7fe5922a5f5ae4bfd88dbca609d4fe6730360056)
+++ testsuites/psxtests/psxhdrs/dirent/telldir.c	(revision e15ae5a3a17b056bc8180be44af572d828acef8c)
@@ -4,42 +4,36 @@
  */
 
- /*
-  *  COPYRIGHT (c) 2018.
-  *  Himanshu Sekhar Nayak
-  *
-  *  Permission to use, copy, modify, and/or distribute this software
-  *  for any purpose with or without fee is hereby granted.
-  *
-  *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
-  *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
-  *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
-  *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
-  *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
-  *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
-  *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
-  */
+/*
+ *  COPYRIGHT (c) 2018.
+ *  Himanshu Sekhar Nayak
+ *
+ *  Permission to use, copy, modify, and/or distribute this software
+ *  for any purpose with or without fee is hereby granted.
+ *
+ *  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
+ *  WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
+ *  WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR
+ *  BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES
+ *  OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
+ *  WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
+ *  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+ */
 
-  #ifdef HAVE_CONFIG_H
-  #include "config.h"
-  #endif
+ #ifdef HAVE_CONFIG_H
+ #include "config.h"
+ #endif
 
-  #include <dirent.h>
+ #include <dirent.h>
 
-  int test( void );
-  int result = 1;
+ int test( void );
 
-  int test( void )
-  {
-    DIR *dirp;
-    long loc;
+ int test( void )
+ {
+   DIR *dirp;
+   long loc;
 
-    if( result == 1 )
-    {
-      dirp = opendir( "/" );
-      loc = telldir( dirp );
-      (void) loc;
-      result = 0;
-    }
+   dirp = opendir( "/" );
+   loc = telldir( dirp );
 
-    return result;
-  }
+   return ( (int)loc );
+ }
